Package org.eclipse.m2m.atl.profiler.exportmodel.impl

# Class ExportRootImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.m2m.atl.profiler.exportmodel.impl.ExportRootImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `ExportRoot`

public class ExportRootImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements ExportRoot
An implementation of the model object 'Export Root'.

The following features are implemented:

- `Operation`
- `Total Time`
- `Total Instructions`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<AtlOperationExport>`
`operation`
The cached value of the '`Operation`' containment reference list.
`protected static final long`
`TOTAL_INSTRUCTIONS_EDEFAULT`
The default value of the '`Total Instructions`' attribute.
`protected static final double`
`TOTAL_TIME_EDEFAULT`
The default value of the '`Total Time`' attribute.
`protected long`
`totalInstructions`
The cached value of the '`Total Instructions`' attribute.
`protected double`
`totalTime`
The cached value of the '`Total Time`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ExportRootImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<AtlOperationExport>`
`getOperation()`
`long`
`getTotalInstructions()`
`double`
`getTotalTime()`
`void`
`setTotalInstructions(long newTotalInstructions)`
`void`
`setTotalTime(double newTotalTime)`
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### operation

protected org.eclipse.emf.common.util.EList<AtlOperationExport> operation
The cached value of the '`Operation`' containment reference list.

See Also:
  - `getOperation()`

### TOTAL_TIME_EDEFAULT

protected static final double TOTAL_TIME_EDEFAULT
The default value of the '`Total Time`' attribute.

See Also:
  - `getTotalTime()`
  - Constant Field Values

### totalTime

protected double totalTime
The cached value of the '`Total Time`' attribute.

See Also:
  - `getTotalTime()`

### TOTAL_INSTRUCTIONS_EDEFAULT

protected static final long TOTAL_INSTRUCTIONS_EDEFAULT
The default value of the '`Total Instructions`' attribute.

See Also:
  - `getTotalInstructions()`
  - Constant Field Values

### totalInstructions

protected long totalInstructions
The cached value of the '`Total Instructions`' attribute.

See Also:
  - `getTotalInstructions()`

## Constructor Details

### ExportRootImpl

protected ExportRootImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getOperation

public org.eclipse.emf.common.util.EList<AtlOperationExport> getOperation()

Specified by:
  `getOperation` in interface `ExportRoot`
Returns:
  the value of the 'Operation' containment reference list.
See Also:
  - `ExportmodelPackage.getExportRoot_Operation()`

### getTotalTime

public double getTotalTime()

Specified by:
  `getTotalTime` in interface `ExportRoot`
Returns:
  the value of the 'Total Time' attribute.
See Also:
  - `ExportRoot.setTotalTime(double)`
  - `ExportmodelPackage.getExportRoot_TotalTime()`

### setTotalTime

public void setTotalTime(double newTotalTime)

Specified by:
  `setTotalTime` in interface `ExportRoot`
Parameters:
  `newTotalTime` - the new value of the 'Total Time' attribute.
See Also:
  - `ExportRoot.getTotalTime()`

### getTotalInstructions

public long getTotalInstructions()

Specified by:
  `getTotalInstructions` in interface `ExportRoot`
Returns:
  the value of the 'Total Instructions' attribute.
See Also:
  - `ExportRoot.setTotalInstructions(long)`
  - `ExportmodelPackage.getExportRoot_TotalInstructions()`

### setTotalInstructions

public void setTotalInstructions(long newTotalInstructions)

Specified by:
  `setTotalInstructions` in interface `ExportRoot`
Parameters:
  `newTotalInstructions` - the new value of the 'Total Instructions' attribute.
See Also:
  - `ExportRoot.getTotalInstructions()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`